# I3DShGlobalDeformerHelper Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShGlobalDeformerHelper:

List of all members.

## Public Member Functions
virtual I3DShTreeElement *MCCOMAPI | GetTreeElement ()=0
virtual boolean MCCOMAPI | IsAttached ()=0
virtual void MCCOMAPI | AttachPrimitives (const TMCPtrArray< I3DShPrimitive > &primitives)=0
virtual void MCCOMAPI | AttachPrimitive (I3DShPrimitive *primitive)=0
virtual void MCCOMAPI | GetAttachedPrimitives (TMCPtrArray< I3DShPrimitive > &primitives)=0
virtual void MCCOMAPI | DetachPrimitives (const TMCPtrArray< I3DShPrimitive > *inPrimitives)=0
virtual void MCCOMAPI | DetachPrimitive (I3DShPrimitive *primitive)=0

## Detailed Description

The interface for the global deformer helper object that is used to build magnets for instance.

I3DShGlobalDeformerHelper always implements I3DShTreeElement

## Member Function Documentation

virtual void MCCOMAPI I3DShGlobalDeformerHelper::AttachPrimitive | ( | I3DShPrimitive * | primitive | ) | `[pure virtual]`

Adds the given primitive to the list of primitives notified when the tree moves.

Parameters:

  | primitive | The primitive that should be notified of tree movements.

virtual void MCCOMAPI I3DShGlobalDeformerHelper::AttachPrimitives | ( | const TMCPtrArray< I3DShPrimitive > & | primitives | ) | `[pure virtual]`

Adds the given primitives to the list of primitives to notify of movement

Parameters:

  | primitives | The list of the primitives to attach to this tree

virtual void MCCOMAPI I3DShGlobalDeformerHelper::DetachPrimitive | ( | I3DShPrimitive * | primitive | ) | `[pure virtual]`

Removes from the list of primitives to notify of tree movements the given primitive

Parameters:

  | primitive | the primitive that should not be notified anymore of tree movements

virtual void MCCOMAPI I3DShGlobalDeformerHelper::DetachPrimitives | ( | const TMCPtrArray< I3DShPrimitive > * | inPrimitives | ) | `[pure virtual]`

Clears the list of primitives to notify of tree movements if inPrimitives is NULL otherwise removes them from the internal list

virtual void MCCOMAPI I3DShGlobalDeformerHelper::GetAttachedPrimitives | ( | TMCPtrArray< I3DShPrimitive > & | primitives | ) | `[pure virtual]`

Returns the list of primitives notified when the tree moves.

Parameters:

  | primitives | The list of primtives that are attached to this tree.

virtual I3DShTreeElement* MCCOMAPI I3DShGlobalDeformerHelper::GetTreeElement | ( |  | ) | `[pure virtual]`

Returns a pointer to the I3DShTreeElement interface. This is equivalent to call QueryInterface with IID_I3DShTreeElement.

virtual boolean MCCOMAPI I3DShGlobalDeformerHelper::IsAttached | ( |  | ) | `[pure virtual]`

Tells if the tree is notifying primitives of its movements

Returns:
  true if the tree is linked to some primitives.

The documentation for this struct was generated from the following file:

- I3DShGlobalDeformerHelper.h